<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.*" %>
<%@ include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<%
    StringBuffer sql = new StringBuffer();%>
<%String mensaje=request.getParameter("Mensaje");
   if (mensaje==null) 
   mensaje="";%>

    <%String matricula=request.getParameter("Matricula");
          if (matricula==null || matricula.equals("NULL")){
              matricula="";

          }
    String fecha="";
    String importe="";
    String codigo="";
    //m05bComun comun = new m05bComun();
    
    sql.append("SELECT ").append(m05bConstantes.COL_41_FECHA).append(",");
    sql.append(m05bConstantes.COL_41_IMPORTE).append(",").append(m05bConstantes.COL_41_CODIGO);
    sql.append(" FROM ").append(m05bConstantes.TAB_CUOTAS).append(" WHERE ").append(m05bConstantes.COL_41_MATRICULA);
    sql.append("='").append(matricula).append("'");
    sql.append(" ORDER BY ").append(m05bConstantes.COL_41_CODIGO).append(" DESC ");
    
%>
<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titVehRenting")%></title>
<script language="JavaScript">
 function fncModificar(codigo) {
        document.formRenting.action="m05bGenerarRentingServlet?Matricula=<%=matricula%>&Codigo=" + codigo+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
        document.formRenting.submit();
      }
      function  fncNuevo(){
         document.formRenting.action="m05bVehCuotasJsp.jsp?Codigo=&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
         document.formRenting.submit();
      }
</SCRIPT>
</head>
<BODY style="cursor: wait"  onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_CUOTAS%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_CUOTAS%>";	 	 
</script>			
<%@include file="m05bVehiEconomicoFijo.inc"%>			

<%int contador=0;%>    
	
<FORM NAME="formRenting" METHOD="POST">
					<%
				  	if (mensaje.equals("Existe")) {
						outMsg.println("<script>alert(dameAlerta(idioma, 178));</script>");
			  	        outMsg.close(); }%>					
	
    <% if ((!(situacion.equals("B")))  && (sExisteMatricula.equals("1"))) {%>
		  <TABLE class="general">
			    <tr>
			      <td align="right"> 
			      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
			      </td>
				</tr>
		  </TABLE>
    <%}%>

		<table class="general">
			 <tr nowrap>
			  	<td  height="20" width="55%" class="searchTitleCM">
                    <a href="<%=m05bConstantesPaginas.VEH_GESTION_ECONOMICA%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmMtoEconomica")%></a>\			  	
			  		<font class="CMV" ><%=resCM.getString("cmRelCuotas")%></FONT>
			    </td>
			 </tr>
		</table>					  
		  <TABLE class="general" topmargin="0" leftmargin="0">
			    <tr>
			      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
			      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
			      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
			    </tr>
			    <%
			     try {
			           if (!matricula.equals("")){
			           //m05bbBeginSelect(sql.toString());
			           //m05bRS = m05bPStmt.executeQuery();
                   conexion = miConexion.getConnection();
                   conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
		           
       	  	      pstmt2 = conexion.prepareStatement(sql.toString());
		          rs2 = pstmt2.executeQuery();
			           while (rs2.next() == true){
                           contador=contador + 1;
			               codigo=rs2.getString(m05bConstantes.COL_41_CODIGO);
			               fecha=rs2.getString(m05bConstantes.COL_41_FECHA);
			               if (fecha==null || fecha.equals("NULL"))
			                   fecha="";
			               else
			                   fecha=comun.Mes(fecha,campoTexto3);
			               
			               importe=rs2.getString(m05bConstantes.COL_41_IMPORTE);

			               //if (importe==null || importe.equals("NULL")|| importe.equals("0"))
			               //    importe="";
			               

			               %>
			               <tr>
			                 <td valign="top" align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=codigo%>')"><%=codigo%></A></td>
			                 <td valign="top" align="left" class="inputFieldTitleBlank"><%=fecha%></td>
			                 <input type="hidden" name=<%="Importe"+contador%> value="<%=importe%>"> 
                             <script>
                                formatNumeroDecimal(document.formRenting.<%="Importe"+contador%>,6,2);
                             </script>	
		                    <td valign="top" style="text-align: right"  class="inputFieldTitleBlank"><script> document.write(document.formRenting.<%="Importe"+contador%>.value);</script></td>			                 
			               </tr>
			           <%}
			    }
			  } catch (Exception SQLException){
				  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
				   miLog.addTraza(SQLException);
			  } finally {
				  // m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
				  
			  }
			    %>
		  </TABLE>
		  <TABLE class="general">
				<tr> </tr>
				<tr align="center">
					<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contador%></td>
			 	</tr>
				<tr> </tr>
		  </TABLE>
		  <input type="hidden" name="Matricula" value="<%=matricula%>">
		  			
</FORM>
					</td>
					</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabEconomica=document.getElementById("tabEconomica");
   
   tabEconomica.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>